Skip to main content
PATCH
Update Wallet Identifier

Authorizations

X-API-Key
string
header
default:sk_your_secret_key_here
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Path Parameters

walletId
string<uuid>
required

Wallet UUID. A malformed or inaccessible wallet ID returns 404.

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Body

application/json
userIdentifier
string
required

New user identifier. Validation depends on userIdentifierType.

Minimum string length: 1
Example:

"bob@example.com"

userIdentifierType
enum<string>
required

Type of user identifier

Available options:
EMAIL,
PHONE,
CUSTOM_ID,
GUEST_ID,
DISCORD,
TWITTER,
TELEGRAM

Response

Updated wallet

id
string<uuid>
required

Unique wallet identifier

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

type
enum<string>
required

Blockchain network type

Available options:
EVM,
SOLANA,
COSMOS,
STELLAR,
SUI
Example:

"EVM"

scheme
enum<string>
required

Signature scheme

Available options:
DKLS,
CGGMP,
ED25519
Example:

"DKLS"

status
enum<string>
required

creating until key generation completes; ready after it completes. address and publicKey can be present while status is creating.

Available options:
creating,
ready
createdAt
string<date-time>
required

ISO 8601 timestamp

Example:

"2024-01-15T09:30:00Z"

address
string

Wallet address. It can be present while status is creating.

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f..."

publicKey
string

Public key. It can be present while status is creating.

userIdentifier
string

The user identifier associated with this wallet

Example:

"alice@example.com"

userIdentifierType
enum<string>

Type of user identifier

Available options:
EMAIL,
PHONE,
CUSTOM_ID,
GUEST_ID,
DISCORD,
TWITTER,
TELEGRAM,
FARCASTER